


print("TEST IMP>>")

from . import tasks_loop
import asyncio

async def run_hrld(n=0):
	print("glob_cl.")
	# return
	glob_cl = tasks_loop.glob_cl
	# self.groups_set = set()
	if glob_cl.has_cl:
		return
	glob_cl.has_cl = True
	await glob_cl.begin_async(n)
	return
	if n == 3:
		asyncio.ensure_future(glob_cl.run_persistent_loop3())
		# asyncio.run(glob_cl.run_persistent_loop3())
		print("a/////////////////////////////////////////////")

		
	if n == 2:
		# glob_cl.run_persistent_loop2()
		asyncio.run(glob_cl.run_persistent_loop2())
		print("a2/////////////////////////////////////////////")
	else:
		asyncio.run(glob_cl.run_persistent_loop())
		print("a1/////////////////////////////////////////////")
		# glob_cl.run_persistent_loop()
	# glob_cl.acl = self.channel_layer

# run_hrld()

